import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listWhitelist(query) {
  return request({
    url: '/system/whitelist/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getWhitelist(id) {
  return request({
    url: '/system/whitelist/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addWhitelist(data) {
  return request({
    url: '/system/whitelist/add',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateWhitelist(data) {
  return request({
    url: '/system/whitelist/edit',
    method: 'post',
    data: data
  })
}

// 删除【请填写功能名称】
export function delWhitelist(id) {
  return request({
    url: '/system/whitelist/' + id,
    method: 'post'
  })
}

export function updateSysIpWhitelistStatus(id,status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/whitelist/updateSysIpWhitelistStatus',
    method: 'post',
    data: data
  })
}

